
open Ast

type flat_instr=
    FLbl of label
  | FGoto of label
  | FCond of pred * label * label  (* pred includes Flip *)
  | FMark of int
  | FUnmark of int
  | FPickup of label
  | FDrop
  | FTurn of left_or_right
  | FMove of label

val flatten_prog : body -> flat_instr list
