type direction = Here | Ahead | Lahead | Rahead
type condition =
    Friend 
  | Foe
  | Friendwithfood
  | Foewithfood
  | Food
  | Rock
  | Marker of int 
  | Home
  | Foehome
  | Foemarker

type action = 
    Mark of int 
  | Unmark of int 
  | Pickup 
  | Drop 
  | Lturn 
  | Rturn 
  | Move 
  | Flip of int
  | Sense of condition*direction

type expr = 
    Plus of expr * expr 
  | Whilenot of expr * expr
  | Nopwhile of expr
  | Seq of expr * expr
  | Non of expr
  | Star of expr
  | Action of action
  | Ident of string

type prg = (string*expr) list * expr

